Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CellRendererProgress Class Reference

A GtkCellRendererProgress C++ wrapper class. More...

`#include <xfc/gtk/cellrendererprogress.hh>`

Inheritance diagram for Xfc::Gtk::CellRendererProgress:

List of all members.

## Property Prototypes

- const ValuePropertyType value_property
    The Value of the progress bar (see property_value()).
- const TextPropertyType text_property
    The text on the progress bar (see property_text()).

## Public Member Functions

Constructors

- CellRendererProgress ()
    Construct a new CellRendererProgress.
- virtual ~CellRendererProgress ()
    Destructor.

Accessors

- GtkCellRendererProgress * gtk_cell_renderer_progress () const
    Get a pointer to the GtkCellRendererProgress structure.
- operator GtkCellRendererProgress * () const
    Conversion operator; safely converts an CellRendererProgress to a GtkCellRendererProgress pointer.

Property Proxies

- const ValuePropertyProxy property_value ()
    The "value" property determines the percentage to which the progress bar will be "filled in" (int : Read / Write).
- const TextPropertyProxy property_text ()
    The "text" property determines the label which will be drawn over the progress bar.

## Protected Member Functions

Constructors

- CellRendererProgress (GtkCellRendererProgress *cell, bool owns_reference=false)
    Construct a new CellRendererProgress from an existing GtkCellRendererProgress.

## Detailed Description

A GtkCellRendererProgress C++ wrapper class.

CellRendererProgress is a cell renderer that renders numbers as progress bars.

## Constructor & Destructor Documentation

Xfc::Gtk::CellRendererProgress::CellRendererProgress | ( | GtkCellRendererProgress * | cell,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new CellRendererProgress from an existing GtkCellRendererProgress.

Parameters:

  | cell | A pointer to a GtkCellRendererProgress.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The cell can be a newly created GtkCellRendererProgress or an existing GtkCellRendererProgress. (see G::Object::Object).

## Member Function Documentation

const TextPropertyProxy Xfc::Gtk::CellRendererProgress::property_text | ( |  | ) |

| The "text" property determines the label which will be drawn over the progress bar. Setting this property to null causes the default label to be displayed. Setting this property to an empty string causes no label to be displayed. The default value is null.

const ValuePropertyProxy Xfc::Gtk::CellRendererProgress::property_value | ( |  | ) |

| The "value" property determines the percentage to which the progress bar will be "filled in" (int : Read / Write). The allowed values are: [0,100]. The default value is 0.

The documentation for this class was generated from the following file:

- cellrendererprogress.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3